<?php
/*
 * Copyright (c) 2012, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

/**
 * @ingroup controller
 */
class sly_Controller_Wymiframe implements sly_Controller_Interface{

	public function indexAction() {
		$styles  = sly_getArray('stylesheets', 'string');
		$base    = 'data/dyn/public/';

		if (version_compare(sly_Core::getVersion(), '0.7', '>=')) {
			$base .= 'webvariants/wymeditor/';
			$ext   = 'less';
		}
		else {
			$base .= 'wymeditor/';
			$ext   = 'css';
		}

		$content = '<html><head>';
		$content .= '<meta charset="utf-8" />';
		$content .= '<title>WYMeditor iframe</title>';
		$content .= '<base href="'.sly_Util_HTTP::getBaseUrl(true).'/" />';
		$content .= '<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />';

		foreach($styles as $stylesheet) {
			$content .= '<link rel="stylesheet" type="text/css" media="screen" href="'.$stylesheet.'" />';
		}

		$content .= '<link rel="stylesheet" type="text/css" media="screen" href="'.$base.'wymeditor/iframe/default/wymiframe.'.$ext.'" />';
		$content .= '</head>';
		$content .= '<body class="wym_iframe"></body>';
		$content .= '</html>';
		return new sly_Response($content);
	}

	public function checkPermission($action) {
		return true;
	}

}
